Application: gvSIG desktop - gvSIG bugs #4587
OGR tab can't add any layer
08/02/2017 01:39 PM - Antonio Falciano

Status:
Priority:
Assignee:
Category:
Target version:

Closed
Normal
Joaquin del Cerro Murciano

2.4.0-2830 (rev. org.gvsig.desktop-2.0.194

% Done: 0%
Spent time: 0.00 hour

)

Severity: Critical Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2827 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: ogr,gml,geojson,spatialite Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

The OGR tab functionalities seems to be very poor at the moment. It's only possible to "open" the layers (shp, gml, geojson,

Spatialite, etc.), but not to "add" them to the view because of NullPointerExceptions that always occur independently by the the

specific file format.

Related to #4325, #4330, #4359 and #4533 (at least).

Associated revisions

Revision 274 - 08/04/2017 07:35 PM - Joaquin del Cerro Murciano

refs #4587, corregido el proveedor de DAL de OGR para que los parametros extiendan de la clase que toca.

History

#1 - 08/04/2017 07:29 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)

- Assignee set to Joaquin del Cerro Murciano

#2 - 08/06/2017 08:10 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

El error que causaba que no se pudiese anadir ninguna capa de OGR ya esta corregido.

Otra cosa son los problemas que puedan haber al cargar algunas capas o formatos.

#3 - 08/07/2017 09:54 PM - Antonio Falciano

- Status changed from Fixed to Closed
